/* ######################################################################### */
/* ##                                                                     ## */
/* ##  U T I L / T R A C E . J A V A                                      ## */
/* ##                                                                     ## */
/* ## ------------------------------------------------------------------- ## */
/* ##                                                                     ## */
/* ##  Job .......: Class encapsulating the output of Trace informations. ## */
/* ##                                                                     ## */
/* ## ------------------------------------------------------------------- ## */
/* ##                                                                     ## */
/* ##  Copyright (C) 2002  Daniel Scheibli                                ## */
/* ##                                                                     ## */
/* ##  This library is free software; you can redistribute it and/or      ## */
/* ##  modify it under the terms of the GNU Lesser General Public         ## */
/* ##  License as published by the Free Software Foundation; either       ## */
/* ##  version 2.1 of the License, or (at your option) any later version. ## */
/* ##                                                                     ## */
/* ##  This library is distributed in the hope that it will be useful,    ## */
/* ##  but WITHOUT ANY WARRANTY; without even the implied warranty of     ## */
/* ##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU  ## */
/* ##  Lesser General Public License for more details.                    ## */
/* ##                                                                     ## */
/* ##  You should have received a copy of the GNU Lesser General Public   ## */
/* ##  License along with this library; if not, write to the Free         ## */
/* ##  Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,     ## */
/* ##  MA 02111-1307 USA                                                  ## */
/* ##                                                                     ## */
/* ## ------------------------------------------------------------------- ## */
/* ##                                                                     ## */
/* ##  Remark ....: <none>                                                ## */
/* ##                                                                     ## */
/* ## ------------------------------------------------------------------- ## */
/* ##                                                                     ## */
/* ##  Author ....: Daniel Scheibli <daniel.scheibli@edelbyte.org>        ## */
/* ##  Date ......: 2002-07-06                                            ## */
/* ##  Changes ...: ----- Trace.java V00.99/R020 ------------------------ ## */
/* ##               <none>                                                ## */
/* ##               ----- Trace.java V00.99/R011 ------------------------ ## */
/* ##               <none>                                                ## */
/* ##               ----- Trace.java V00.99/R010 ------------------------ ## */
/* ##               <none>                                                ## */
/* ##                                                                     ## */
/* ######################################################################### */



/* ##### Presettings */
/* ------------------------------------------------------------------------- */
package org.edelbyte.util;
/* ------------------------------------------------------------------------- */





/* ##### Class definition */
/* ------------------------------------------------------------------------- */
public class Trace
{
 /* ##### Presettings (class fields) */
 /* ------------------------------------------------------------------------ */ 
 public static final java.lang.String TRACE_TOKEN = "trace";
 /* ------------------------------------------------------------------------ */ 





 /* ######################################################################## */
 /* ##                                                                    ## */
 /* ##   P R I N T ()                                                     ## */ 
 /* ##                                                                    ## */
 /* ######################################################################## */ 
 public static void print( java.lang.String oString )
 {
  /* ##### Check for trace switch and print given string */
  /* ----------------------------------------------------------------------- */
  if( java.lang.System.getProperty( org.edelbyte.util.Trace.TRACE_TOKEN.toString() ) != null )
  { java.lang.System.err.print( oString.toString() ); }
  /* ----------------------------------------------------------------------- */
 }





 /* ######################################################################## */
 /* ##                                                                    ## */
 /* ##   P R I N T L N ()                                                 ## */ 
 /* ##                                                                    ## */
 /* ######################################################################## */ 
 public static void println( java.lang.String oString )
 {
  /* ##### Check for trace switch and print given string */
  /* ----------------------------------------------------------------------- */
  if( java.lang.System.getProperty( org.edelbyte.util.Trace.TRACE_TOKEN.toString() ) != null )
  { java.lang.System.err.println( oString.toString() ); }
  /* ----------------------------------------------------------------------- */
 }
}
/* ------------------------------------------------------------------------- */




